// file: $isip/class/sp/Recipe/rcp_00.cc
// version: $Id: rcp_00.cc 8416 2002-07-17 20:22:13Z gao $
//

// system include files
//
#include <typeinfo>

// isip include files
//
#include "Recipe.h"

//-----------------------------------------------------------------------------
//
// we define non-integral constants in the default constructor
//      
//-----------------------------------------------------------------------------

// constants: class name
//
const String Recipe::CLASS_NAME(L"Recipe");

// constants: i/o related constants
//
const String Recipe::PARAM_RECIPE(L"recipe");

// constants: default value(s) of class data
//
const String Recipe::INPUT_PREFIX(L"__input_");
const String Recipe::OUTPUT_PREFIX(L"__output_");
const String Recipe::SAMPLED_DATA_NAME(L"__input_SAMPLED_DATA");
const String Recipe::DUMMY_OUTPUT_NAME(L"__output_FEATURES");
const String Recipe::DUMMY_DATA_NAME(L"___DATA_");

// static instantiations: debug level and memory manager
//
Integral::DEBUG Recipe::debug_level_d = Integral::NONE;
MemoryManager Recipe::mgr_d(sizeof(Recipe), Recipe::name());
